Index: docker/context/Dockerfile
===================================================================
--- docker/context/Dockerfile	(revision 939)
+++ docker/context/Dockerfile	(revision 939)
@@ -0,0 +1,18 @@
+FROM ubuntu:cosmic
+
+RUN dpkg --add-architecture i386 && \
+    apt-get update -y && \
+    /usr/bin/env DEBIAN_FRONTEND=noninteractive apt-get install -y \
+        tzdata \
+        wget \
+        wine \
+        wine32 && \
+    apt-get clean && \
+    echo "Europe/Budapest" > /etc/timezone && \
+    rm -f /etc/localtime && \
+    dpkg-reconfigure -f noninteractive tzdata
+
+ADD entrypoint.sh setup.sh build.sh /root/
+
+ENTRYPOINT ["/root/entrypoint.sh"]
+CMD ["bash"]
Index: docker/context/Dockerfile
===================================================================
--- docker/context/Dockerfile	(revision 916)
+++ 	(revision )
@@ -1,17 +1,0 @@
-FROM ubuntu:cosmic
-
-RUN dpkg --add-architecture i386 && \
-    apt-get update -y && \
-    /usr/bin/env DEBIAN_FRONTEND=noninteractive apt-get install -y \
-        tzdata \
-        wget \
-        wine \
-        wine32 && \
-    echo "Europe/Budapest" > /etc/timezone && \
-    rm -f /etc/localtime && \
-    dpkg-reconfigure -f noninteractive tzdata
-
-ADD entrypoint.sh setup.sh build.sh /root/
-
-ENTRYPOINT ["/root/entrypoint.sh"]
-CMD ["bash"]
Index: docker/context/build.sh
===================================================================
--- docker/context/build.sh	(revision 939)
+++ docker/context/build.sh	(revision 939)
@@ -0,0 +1,38 @@
+#!/bin/bash
+
+set -e -u
+
+scriptdir=$(cd $(dirname $0) && pwd)
+
+sdistname="${1}"
+uid="${2}"
+gid="${3}"
+
+mlxdirname=$(basename "${sdistname}" .tar.gz)
+version=$(echo "${mlxdirname}" | sed "s:mlx-::")
+
+cd "${scriptdir}"
+
+tar xf "dist/${sdistname}"
+
+cd "${mlxdirname}"
+
+export WINE=yes
+./makeinst.sh
+
+echo
+echo "Copying the 'dist' directory..."
+destdistdir="../dist/dist-${version}"
+
+rm -rf "${destdistdir}"
+cp -a dist "${destdistdir}"
+chown -R ${uid}:${gid} "${destdistdir}"
+
+echo
+echo "Copying the setup program..."
+
+cp "MAVA Logger X-${version}-Setup.exe" ../dist
+chown ${uid}:${gid} "../dist/MAVA Logger X-${version}-Setup.exe"
+
+echo
+echo "Done."
Index: docker/context/build.sh
===================================================================
--- docker/context/build.sh	(revision 916)
+++ 	(revision )
@@ -1,37 +1,0 @@
-#!/bin/bash
-
-set -e -u
-
-scriptdir=$(cd $(dirname $0) && pwd)
-
-sdistname="${1}"
-uid="${2}"
-gid="${3}"
-
-mlxdirname=$(basename "${sdistname}" .tar.gz)
-version=$(echo "${mlxdirname}" | sed "s:mlx-::")
-
-cd "${scriptdir}"
-
-tar xf "dist/${sdistname}"
-
-cd "${mlxdirname}"
-
-echo "winemakeinst.bat" | wine cmd
-
-echo
-echo "Copying the 'dist' directory..."
-destdistdir="../dist/dist-${version}"
-
-rm -rf "${destdistdir}"
-cp -a dist "${destdistdir}"
-chown -R ${uid}:${gid} "${destdistdir}"
-
-echo
-echo "Copying the setup program..."
-
-cp "MAVA Logger X-${version}-Setup.exe" ../dist
-chown ${uid}:${gid} "../dist/MAVA Logger X-${version}-Setup.exe"
-
-echo
-echo "Done."
Index: docker/context/entrypoint.sh
===================================================================
--- docker/context/entrypoint.sh	(revision 916)
+++ docker/context/entrypoint.sh	(revision 916)
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+scriptdir=$(cd $(dirname $0) && pwd)
+
+if test "$1" = "initialize"; then
+    "${scriptdir}/setup.sh"
+elif test "$1" = "build"; then
+    shift
+    "${scriptdir}/build.sh" "$@"
+else
+    exec "$@"
+fi
Index: docker/context/entrypoint.sh
===================================================================
--- docker/context/entrypoint.sh	(revision 916)
+++ 	(revision )
@@ -1,12 +1,0 @@
-#!/bin/bash
-
-scriptdir=$(cd $(dirname $0) && pwd)
-
-if test "$1" = "initialize"; then
-    "${scriptdir}/setup.sh"
-elif test "$1" = "build"; then
-    shift
-    "${scriptdir}/build.sh" "$@"
-else
-    exec "$@"
-fi
Index: docker/context/setup.sh
===================================================================
--- docker/context/setup.sh	(revision 939)
+++ docker/context/setup.sh	(revision 939)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+set -e -u
+
+cdrive="${HOME}/.wine/drive_c"
+cpythondir="${cdrive}/msys64/mingw32"
+
+if test -f "${cpythondir}/bin/python3.exe"; then
+    echo "Image already configured, not doing anything!"
+    exit 1
+fi
+
+echo "Preparing image to be able to build MAVA Logger X for Windows"
+echo
+
+export WINEARCH=win32
+
+echo "exit" | wine cmd
+
+echo "Downloading and extracting the extra packages..."
+
+wget -O - mlx.varadiistvan.hu/update/msys64.tar.gz | tar xzf - -C "${cdrive}"
+wget -O - mlx.varadiistvan.hu/update/winepkgs.tar | tar xf - nsis-2.46-setup.exe pyuipc-cpython-37m.dll xplra.py
+
+mv  pyuipc-cpython-37m.dll xplra.py /root/.wine/drive_c/msys64/mingw32/lib/python3.7/site-packages
+
+echo
+echo "Installing extra packages..."
+
+wine nsis-2.46-setup.exe
+
+echo
+echo "Removing extra packages..."
+rm -f *.exe
+echo
+echo "Done."
Index: docker/context/setup.sh
===================================================================
--- docker/context/setup.sh	(revision 918)
+++ 	(revision )
@@ -1,47 +1,0 @@
-#!/bin/bash
-
-set -e -u
-
-cdrive="${HOME}/.wine/drive_c"
-ctmpdir="${cdrive}/tmp"
-cpythondir="${cdrive}/Python27"
-cwinsysdir="${cdrive}/windows/system32"
-
-if test -f "${cpythondir}/python.exe"; then
-    echo "Image already configured, not doing anything!"
-    exit 1
-fi
-
-echo "Preparing image to be able to build MAVA Logger X for Windows"
-echo
-
-echo "Downloading and extracting the extra packages..."
-
-wget -O - mlx.varadiistvan.hu/update/winepkgs.tar | tar xf -
-
-echo
-echo "Installing extra packages..."
-
-export WINEARCH=win32
-
-echo "exit" | wine cmd
-wine msiexec /i python-2.7.15.msi
-wine msiexec /i cefpython3-31.2.py2.7-win32.msi
-wine msiexec /i pygtk-all-in-one-2.24.1.win32-py2.7.msi
-wine msiexec /i pyuipc-0.4.win32-py2.7.msi
-wine msiexec /i xplra-0.2.win32.msi
-
-wine pywin32-217.win32-py2.7.exe
-wine py2exe-0.6.9.win32-py2.7.exe
-wine nsis-2.46-setup.exe
-
-mkdir "${ctmpdir}"
-cp chromedriver.exe "${ctmpdir}"
-
-tar xzf Python27.extra.tar.gz -C "${cpythondir}"
-
-echo
-echo "Removing extra packages..."
-rm -f *.msi *.exe Python27.extra.tar.gz python27.dll WINHTTP.dll
-echo
-echo "Done."
